Bug 1051086 - httpd prereq missing from the eap 6 httpd server install notes
Summary: httpd prereq missing from the eap 6 httpd server install notes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: post-GA
: EAP 6.3.0
Assignee: Russell Dickenson
QA Contact: Michal Karm Babacek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-09 16:37 UTC by Aaron Ogburn
Modified: 2018-12-04 16:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 14874, Administration and Configuration Guide-6.2-1 Build Date: 02-12-2013 14:15:34 Topic ID: 5728-550098 [Specified]
Last Closed: 2014-11-23 23:16:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Aaron Ogburn 2014-01-09 16:37:41 UTC
Title: Install the Apache HTTPD included with JBoss EAP 6 (ZIP)

Describe the issue:

mod_auth_kerb is not noted as a pre-req in EAP 6 httpd docs although it is in the EWS 2 side docs.


Suggestions for improvement:

Note the mod_auth_kerb dependency.  Could also note that if kerberos is not used, the kerb symlinks can be dropped from EWS instead of installing the mod_auth_kerb package.


Additional information:

Comment 2 Aaron Ogburn 2014-03-31 15:34:30 UTC
Yeah it looks to be fixed in the new 6.3 doc.  It's still incorrect in docs for prior versions:

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.2/html-single/Administration_and_Configuration_Guide/index.html#Install_the_Apache_HTTPD_included_with_JBoss_Enterprise_Application_Platform_61


Are we able to correct the docs for prior versions?

Comment 3 Russell Dickenson 2014-07-21 23:27:49 UTC
Although we are *technically* able to correct documentation for previous versions, in practice it is not practical and not implemented. If we were try and "backport" each documentation fix to earlier product versions' documentation, we could not make any progress. This is CCS policy, not simply my choice.

I have moved this ticket to ON_QA so that the changes already implemented can be verified. The amended text is available for verification at [1].


[1] http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Administration_and_Configuration_Guide/index.html#Install_the_Apache_HTTPD_included_with_JBoss_Enterprise_Application_Platform_61

Comment 4 Jan Stefl 2014-07-24 16:13:10 UTC
I am missing information about possibility to removing symlinks in a case that customer does not need mod_auth_kerb.

Comment 5 Russell Dickenson 2014-08-18 02:16:43 UTC
Docs Notes
==========
Topic: Install the Apache HTTP Server included with JBoss EAP 6 (Zip) [5728, revision 699673]

I amended the text of this topic to clarify the requirement for the 'mod_auth_kerb' package and the associated symlinks in the Apache HTTD Zip file.


QE Notes
========
In response to comment 4, I amended the text of this topic to clarify the requirement for the 'mod_auth_kerb' package and the associated symlinks in the Apache HTTD Zip file.

When this guide is next rebuilt the amended text will be available at [1].


[1] http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Administration_and_Configuration_Guide/index.html#Install_the_Apache_HTTPD_included_with_JBoss_Enterprise_Application_Platform_61

Comment 7 Radim Hatlapatka 2014-09-19 14:28:20 UTC
Verified in revision 6.3.0-44.


Note You need to log in before you can comment on or make changes to this bug.